Bug 109018 - Rename '--parameters' command line arg on MasterTool to ''--define"
Summary: Rename '--parameters' command line arg on MasterTool to ''--define"
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Web Application Framework
Classification: Retired
Component: other (Show other bugs)
(Show other bugs)
Version: nightly
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Rafael H. Schloming
QA Contact: Jon Orris
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 109665
TreeView+ depends on / blocked
 
Reported: 2003-11-04 14:03 UTC by Daniel Berrange
Modified: 2014-12-01 23:13 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-12-02 22:16:27 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Daniel Berrange 2003-11-04 14:03:02 UTC
Description of problem:

The names of the args --parameters & --file to MasterTool do not give
a clear indication of their purposes. Yes, the --help option will give
detail on each argument name, but args should be named such that if
all you can remmber is the name, then you can make a reasonable
assumption as to its purpose. For instance, although I had previously
read the help, I mistakenly thought the --parameters arg would load
properties from a file, when in fact it should have been --file. 
Thus, these two options should be renamed.

* For setting of key, value pairs, a common pattern is to use
'--define' as the name of the command line arg. cf RPM.

* I'd also suggest changing '--file' to '--rcfile' or similar. This
will avoid potential for confusion if we add additional command line
args that operate on files. ie, a '--bundle' option to read the list
of packages from a file instead of listing them individually on the
command line.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Daniel Berrange 2003-11-04 15:47:39 UTC
--usage is another very badly named parameter; --help is the industry
standard naming.

Comment 2 Richard Li 2003-11-21 17:40:02 UTC
Per discussion, here's the final resolution:

1. --help will be aliased to --usage.
2. --file will be renamed to --parameter-file.


Comment 3 Rafael H. Schloming 2003-12-02 21:31:00 UTC
Fixed @38424


Note You need to log in before you can comment on or make changes to this bug.